Summary:	Free Hebrew Type1 fonts
Name:		fonts-type1-hebrew
Version:	0.101
Release:	1mdk
License:	GPL
Group:		System/Fonts/Type1
URL:		http://culmus.sourceforge.net/

Source0:	http://belnet.dl.sourceforge.net/sourceforge/culmus/culmus-%{version}.tar.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools, t1utils
PreReq:		%_sbindir/chkfontpath
PreReq:		fontconfig
# Added to avoid conflicts with the official RPM released by Culmus project
Conflicts:	culmus-fonts

%description
This Package provides Free Hebrew Type1 fonts, courtesy of the Culmus project.

Since version 0.100 all default sizes have been reduced and names have been
changed. Once you install this version or a later one, all letters in your
documents will shrink and a manual tuning will be needed in most cases.

%prep

%setup -q -n culmus-%{version}

%build
for i in *.pfa ; do 
  t1binary $i `basename $i .pfa`.pfb
done 
sed -i -e '1,$s/\.pfa/.pfb/' fonts.scale

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/type1/hebrew/
install -m 0644 *.pfb %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 *.afm %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.alias %buildroot/%_datadir/fonts/type1/hebrew
install -m 0644 fonts.scale %buildroot/%_datadir/fonts/type1/hebrew
# Added for version 0.100
mkdir -p %buildroot/%_sysconfdir/fonts/conf.d
install -m 0644 culmus.conf %buildroot/%_sysconfdir/fonts/conf.d/01-culmus.conf

(
cd %buildroot/%_datadir/fonts/type1/hebrew/
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/type1/hebrew
fi
%{_bindir}/fc-cache -f %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/type1/hebrew
   %{_bindir}/fc-cache -f %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE LICENSE-BITSTREAM GNU-GPL
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/type1/
%dir %_datadir/fonts/type1/hebrew/
%_datadir/fonts/type1/hebrew/*
# Added for version 0.100
%_sysconfdir/fonts/conf.d/01-culmus.conf

%changelog
* Sat Feb 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.101-1mdk
- new version (solves bug #2295 with "tet" letter)

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-6mdk 
- use /etc/fonts/conf.d to store culmus.conf file

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.100-5mdk
- converted to binary  format

* Mon Aug 09 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.100-4mdk
- spec file cleanup

* Tue Jun 15 2004 Dovix <dovix2003@yahoo.com> 0.100-3mdk
- Avoid conflicts with the official RPM released by Culmus project

* Sun Jun 13 2004 Dovix <dovix2003@yahoo.com> 0.100-2mdk
- update to 0.10.0
- This major release introduces two new typefaces: Miriam and Yehuda
 and removed the Ktav Yad font. It also reduces the size of most
 fonts to make them closer to the corresponding Windows/Mac fonts

* Sun Apr 11 2004 Dovix <dovix2003@yahoo.com> 0.9.3-1mdk
- update to 0.9.3

* Sun Oct 10 2003 nadav mavor <nadav@mavor.com> 0.9.0-1mdk
- update to 0.9 and add 2 more new fonts

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- first release
